diff --git a/web/pgadmin/misc/sql/static/js/sql.js b/web/pgadmin/misc/sql/static/js/sql.js
index 1caf048b..1a6200d8 100644
--- a/web/pgadmin/misc/sql/static/js/sql.js
+++ b/web/pgadmin/misc/sql/static/js/sql.js
@@ -1,7 +1,7 @@
 define('misc.sql', [
-  'sources/gettext', 'underscore', 'underscore.string', 'jquery', 'pgadmin.browser',
-  'alertify', 'pgadmin.alertifyjs'
-], function(gettext, _, S, $, pgBrowser, Alertify) {
+  'sources/gettext', 'underscore', 'underscore.string', 'jquery',
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.alertifyjs',
+], function(gettext, _, S, $, pgAdmin, pgBrowser, Alertify) {
 
   pgBrowser.ShowNodeSQL = pgBrowser.ShowNodeSQL || {};
 
@@ -28,7 +28,8 @@ define('misc.sql', [
       );
 
       pgBrowser.Events.on(
-        'pgadmin:browser:node:updated', function() {
+        'pgadmin:browser:node:updated',
+        function() {
           if (this.sqlPanels && this.sqlPanels.length) {
             $(this.sqlPanels[0]).data('node-prop', '');
             this.sqlPanelVisibilityChanged(this.sqlPanels[0]);
@@ -49,9 +50,8 @@ define('misc.sql', [
               );
             }
           }.bind(this)
-          );
-      }
-      else {
+        );
+      } else {
         if ((sqlPanels[0].isVisible()) || sqlPanels.length != 1) {
           pgBrowser.Events.on('pgadmin-browser:tree:selected', this.showSQL);
         }
@@ -67,15 +67,13 @@ define('misc.sql', [
       this.timeout && clearTimeout(this.timeout);
 
       var that = this;
-      this.timeout =  setTimeout(
+      this.timeout = setTimeout(
         function() {
           var sql = '';
           if (node) {
-            sql = '-- ' + gettext("No SQL could be generated for the selected object.");
-            var self = this,
-                n_type = data._type,
-                n_value = -1,
-                treeHierarchy = node.getTreeNodeHierarchy(item);
+            sql = '-- ' + gettext('No SQL could be generated for the selected object.');
+            var n_type = data._type,
+              treeHierarchy = node.getTreeNodeHierarchy(item);
 
             // Avoid unnecessary reloads
             if (_.isEqual($(that.sqlPanels[0]).data('node-prop'), treeHierarchy)) {
@@ -88,19 +86,19 @@ define('misc.sql', [
 
               sql = '';
               var url = node.generate_url(item, 'sql', data, true),
-                  timer;
+                timer;
 
               $.ajax({
                 url: url,
-                type:'GET',
-                beforeSend: function(jqXHR, settings) {
+                type: 'GET',
+                beforeSend: function() {
                   // Generate a timer for the request
-                  timer = setTimeout(function(){
-                  // notify user if request is taking longer than 1 second
+                  timer = setTimeout(function() {
+                    // Notify user if request is taking longer than 1 second
 
-                  pgAdmin.Browser.editor.setValue(
-                    gettext("Retrieving data from the server...")
-                  );
+                    pgAdmin.Browser.editor.setValue(
+                      gettext('Retrieving data from the server...')
+                    );
                   }, 1000);
                 },
                 success: function(res) {
@@ -114,22 +112,19 @@ define('misc.sql', [
                   pgBrowser.Events.trigger(
                     'pgadmin:node:retrieval:error', 'sql', xhr, error, message, item
                   );
-                  if (
-                    !Alertify.pgHandleItemError(xhr, error, message, {
-                      item: item, info: treeHierarchy
-                    })
-                  ) {
+                  if (!Alertify.pgHandleItemError(xhr, error, message, {
+                    item: item,
+                    info: treeHierarchy,
+                  })) {
                     Alertify.pgNotifier(
                       error, xhr,
-                      S(gettext("Error retrieving the information - %s")).sprintf(
+                      S(gettext('Error retrieving the information - %s')).sprintf(
                         message || _label
                       ).value(),
-                      function() {
-                        console.log(arguments);
-                      }
+                      function() {}
                     );
                   }
-                }
+                },
               });
             }
           }
@@ -142,9 +137,9 @@ define('misc.sql', [
     sqlPanelVisibilityChanged: function(panel) {
       if (panel.isVisible()) {
         var t = pgBrowser.tree,
-            i = t.selected(),
-            d = i && t.itemData(i),
-            n = i && d && pgBrowser.Nodes[d._type];
+          i = t.selected(),
+          d = i && t.itemData(i),
+          n = i && d && pgBrowser.Nodes[d._type];
 
         pgBrowser.ShowNodeSQL.showSQL.apply(pgBrowser.ShowNodeSQL, [i, d, n]);
 
@@ -154,8 +149,8 @@ define('misc.sql', [
         // We don't need to listen the tree item selection event.
         pgBrowser.Events.off('pgadmin-browser:tree:selected', pgBrowser.ShowNodeSQL.showSQL);
       }
-    }
+    },
   });
 
   return pgBrowser.ShowNodeSQL;
-});
+});
\ No newline at end of file
diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index b726250b..7e25b2ed 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -1,33 +1,32 @@
-define (
-  'pgadmin.misc.explain',
-  ['sources/url_for', 'jquery', 'underscore', 'underscore.string', 'sources/pgadmin', 'backbone', 'snapsvg'],
-  function(url_for, $, _, S, pgAdmin, Backbone, Snap) {
-
-pgAdmin = pgAdmin || window.pgAdmin || {};
-var pgExplain = pgAdmin.Explain;
-
-// Snap.svg plug-in to write multitext as image name
-Snap.plugin(function (Snap, Element, Paper, glob) {
-  Paper.prototype.multitext = function (x, y, txt, max_width, attributes) {
-    var svg = Snap(),
-        abc = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ",
-        isWordBroken = false,
+define('pgadmin.misc.explain', [
+  'sources/url_for', 'jquery', 'underscore', 'underscore.string',
+  'sources/pgadmin', 'backbone', 'snapsvg',
+], function(url_for, $, _, S, pgAdmin, Backbone, Snap) {
+
+  pgAdmin = pgAdmin || window.pgAdmin || {};
+
+  // Snap.svg plug-in to write multitext as image name
+  Snap.plugin(function(Snap, Element, Paper) {
+    Paper.prototype.multitext = function(x, y, txt, max_width, attributes) {
+      var svg = Snap(),
+        abc = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ',
         temp = svg.text(0, 0, abc);
 
-    temp.attr(attributes);
+      temp.attr(attributes);
 
-    /*
-     * Find letter width in pixels and
-     * index from where the text should be broken
-     */
-    var letter_width = temp.getBBox().width / abc.length,
+      /*
+       * Find letter width in pixels and
+       * index from where the text should be broken
+       */
+      var letter_width = temp.getBBox().width / abc.length,
         word_break_index = Math.round((max_width / letter_width)) - 1;
 
-    svg.remove();
+      svg.remove();
 
-    var words = txt.split(" "),
+      var words = txt.split(' '),
         width_so_far = 0,
-        lines=[], curr_line = '',
+        lines = [],
+        curr_line = '',
         /*
          * Function to divide string into multiple lines
          * and store them in an array if it size crosses
@@ -35,7 +34,7 @@ Snap.plugin(function (Snap, Element, Paper, glob) {
          */
         splitTextInMultiLine = function(leading, so_far, line) {
           var l = line.length,
-              res = [];
+            res = [];
 
           if (l == 0)
             return res;
@@ -47,268 +46,432 @@ Snap.plugin(function (Snap, Element, Paper, glob) {
             res.push(leading + ' ' + line);
           } else {
             if (leading)
-                res.push(leading);
+              res.push(leading);
             if (line.length > word_break_index + 1)
-                res.push(line.slice(0, word_break_index) + '-');
+              res.push(line.slice(0, word_break_index) + '-');
             else
-                res.push(line);
+              res.push(line);
             res = res.concat(splitTextInMultiLine('', 0, line.slice(word_break_index)));
           }
 
           return res;
         };
 
-    for (var i = 0; i < words.length; i++) {
-      var tmpArr = splitTextInMultiLine(
-            curr_line, width_so_far, words[i]
-          );
+      for (var i = 0; i < words.length; i++) {
+        var tmpArr = splitTextInMultiLine(
+          curr_line, width_so_far, words[i]
+        );
 
-      if (curr_line) {
-        lines = lines.slice(0, lines.length - 1);
+        if (curr_line) {
+          lines = lines.slice(0, lines.length - 1);
+        }
+        lines = lines.concat(tmpArr);
+        curr_line = lines[lines.length - 1];
+        width_so_far = (curr_line.length * letter_width);
       }
-      lines = lines.concat(tmpArr);
-      curr_line = lines[lines.length - 1];
-      width_so_far = (curr_line.length * letter_width);
-    }
-
-    // Create multiple tspan for each string in array
-    var t = this.text(x,y,lines).attr(attributes);
-    t.selectAll("tspan:nth-child(n+2)").attr({
-      dy: "1.2em",
-      x: x
-    });
-    return t;
-  };
-});
 
-if (pgAdmin.Explain)
+      // Create multiple tspan for each string in array
+      var t = this.text(x, y, lines).attr(attributes);
+      t.selectAll('tspan:nth-child(n+2)').attr({
+        dy: '1.2em',
+        x: x,
+      });
+      return t;
+    };
+  });
+
+  if (pgAdmin.Explain)
     return pgAdmin.Explain;
 
-var pgExplain = pgAdmin.Explain = {
-   // Prefix path where images are stored
-   prefix: url_for('misc.index') + 'static/explain/img/'
-};
+  var pgExplain = pgAdmin.Explain = {
+    // Prefix path where images are stored
+    prefix: url_for('misc.index') + 'static/explain/img/',
+  };
 
-/*
- * A map which is used to fetch the image to be drawn and
- * text which will appear below it
- */
-var imageMapper = {
-    "Aggregate" : {
-        "image":"ex_aggregate.svg", "image_text":"Aggregate"
+  /*
+   * A map which is used to fetch the image to be drawn and
+   * text which will appear below it
+   */
+  var imageMapper = {
+    'Aggregate': {
+      'image': 'ex_aggregate.svg',
+      'image_text': 'Aggregate',
+    },
+    'Append': {
+      'image': 'ex_append.svg',
+      'image_text': 'Append',
+    },
+    'Bitmap Index Scan': function(data) {
+      return {
+        'image': 'ex_bmp_index.svg',
+        'image_text': data['Index Name'],
+      };
+    },
+    'Bitmap Heap Scan': function(data) {
+      return {
+        'image': 'ex_bmp_heap.svg',
+        'image_text': data['Relation Name'],
+      };
+    },
+    'BitmapAnd': {
+      'image': 'ex_bmp_and.svg',
+      'image_text': 'Bitmap AND',
+    },
+    'BitmapOr': {
+      'image': 'ex_bmp_or.svg',
+      'image_text': 'Bitmap OR',
+    },
+    'CTE Scan': {
+      'image': 'ex_cte_scan.svg',
+      'image_text': 'CTE Scan',
+    },
+    'Function Scan': {
+      'image': 'ex_result.svg',
+      'image_text': 'Function Scan',
+    },
+    'Foreign Scan': {
+      'image': 'ex_foreign_scan.svg',
+      'image_text': 'Foreign Scan',
+    },
+    'Gather': {
+      'image': 'ex_gather_motion.svg',
+      'image_text': 'Gather',
+    },
+    'Group': {
+      'image': 'ex_group.svg',
+      'image_text': 'Group',
+    },
+    'GroupAggregate': {
+      'image': 'ex_aggregate.svg',
+      'image_text': 'Group Aggregate',
+    },
+    'Hash': {
+      'image': 'ex_hash.svg',
+      'image_text': 'Hash',
+    },
+    'Hash Join': function(data) {
+      if (!data['Join Type']) return {
+        'image': 'ex_join.svg',
+        'image_text': 'Join',
+      };
+      switch (data['Join Type']) {
+      case 'Anti':
+        return {
+          'image': 'ex_hash_anti_join.svg',
+          'image_text': 'Hash Anti Join',
+        };
+      case 'Semi':
+        return {
+          'image': 'ex_hash_semi_join.svg',
+          'image_text': 'Hash Semi Join',
+        };
+      default:
+        return {
+          'image': 'ex_hash.svg',
+          'image_text': String('Hash ' + data['Join Type'] + ' Join'),
+        };
+      }
+    },
+    'HashAggregate': {
+      'image': 'ex_aggregate.svg',
+      'image_text': 'Hash Aggregate',
+    },
+    'Index Only Scan': function(data) {
+      return {
+        'image': 'ex_index_only_scan.svg',
+        'image_text': data['Index Name'],
+      };
+    },
+    'Index Scan': function(data) {
+      return {
+        'image': 'ex_index_scan.svg',
+        'image_text': data['Index Name'],
+      };
+    },
+    'Index Scan Backword': {
+      'image': 'ex_index_scan.svg',
+      'image_text': 'Index Backward Scan',
+    },
+    'Limit': {
+      'image': 'ex_limit.svg',
+      'image_text': 'Limit',
+    },
+    'LockRows': {
+      'image': 'ex_lock_rows.svg',
+      'image_text': 'Lock Rows',
+    },
+    'Materialize': {
+      'image': 'ex_materialize.svg',
+      'image_text': 'Materialize',
+    },
+    'Merge Append': {
+      'image': 'ex_merge_append.svg',
+      'image_text': 'Merge Append',
+    },
+    'Merge Join': function(data) {
+      switch (data['Join Type']) {
+      case 'Anti':
+        return {
+          'image': 'ex_merge_anti_join.svg',
+          'image_text': 'Merge Anti Join',
+        };
+      case 'Semi':
+        return {
+          'image': 'ex_merge_semi_join.svg',
+          'image_text': 'Merge Semi Join',
+        };
+      default:
+        return {
+          'image': 'ex_merge.svg',
+          'image_text': String('Merge ' + data['Join Type'] + ' Join'),
+        };
+      }
     },
-    'Append' : {
-        "image":"ex_append.svg","image_text":"Append"
+    'ModifyTable': function(data) {
+      switch (data['Operation']) {
+      case 'Insert':
+        return {
+          'image': 'ex_insert.svg',
+          'image_text': 'Insert',
+        };
+      case 'Update':
+        return {
+          'image': 'ex_update.svg',
+          'image_text': 'Update',
+        };
+      case 'Delete':
+        return {
+          'image': 'ex_delete.svg',
+          'image_text': 'Delete',
+        };
+      }
     },
-    "Bitmap Index Scan" : function(data) {
+    'Nested Loop': function(data) {
+      switch (data['Join Type']) {
+      case 'Anti':
+        return {
+          'image': 'ex_nested_loop_anti_join.svg',
+          'image_text': 'Nested Loop Anti Join',
+        };
+      case 'Semi':
         return {
-            "image":"ex_bmp_index.svg", "image_text":data['Index Name']
+          'image': 'ex_nested_loop_semi_join.svg',
+          'image_text': 'Nested Loop Semi Join',
         };
+      default:
+        return {
+          'image': 'ex_nested.svg',
+          'image_text': 'Nested Loop ' + data['Join Type'] + ' Join',
+        };
+      }
+    },
+    'Recursive Union': {
+      'image': 'ex_recursive_union.svg',
+      'image_text': 'Recursive Union',
+    },
+    'Result': {
+      'image': 'ex_result.svg',
+      'image_text': 'Result',
+    },
+    'Sample Scan': {
+      'image': 'ex_scan.svg',
+      'image_text': 'Sample Scan',
+    },
+    'Scan': {
+      'image': 'ex_scan.svg',
+      'image_text': 'Scan',
+    },
+    'Seek': {
+      'image': 'ex_seek.svg',
+      'image_text': 'Seek',
+    },
+    'SetOp': function(data) {
+      var strategy = data['Strategy'],
+        command = data['Command'];
+
+      if (strategy == 'Hashed') {
+        if (S.startsWith(command, 'Intersect')) {
+          if (command == 'Intersect All')
+            return {
+              'image': 'ex_hash_setop_intersect_all.svg',
+              'image_text': 'Hashed Intersect All',
+            };
+          return {
+            'image': 'ex_hash_setop_intersect.svg',
+            'image_text': 'Hashed Intersect',
+          };
+        } else if (S.startsWith(command, 'Except')) {
+          if (command == 'Except All')
+            return {
+              'image': 'ex_hash_setop_except_all.svg',
+              'image_text': 'Hashed Except All',
+            };
+          return {
+            'image': 'ex_hash_setop_except.svg',
+            'image_text': 'Hash Except',
+          };
+        }
+        return {
+          'image': 'ex_hash_setop_unknown.svg',
+          'image_text': 'Hashed SetOp Unknown',
+        };
+      }
+      return {
+        'image': 'ex_setop.svg',
+        'image_text': 'SetOp',
+      };
+    },
+    'Seq Scan': function(data) {
+      return {
+        'image': 'ex_scan.svg',
+        'image_text': data['Relation Name'],
+      };
+    },
+    'Subquery Scan': {
+      'image': 'ex_subplan.svg',
+      'image_text': 'SubQuery Scan',
+    },
+    'Sort': {
+      'image': 'ex_sort.svg',
+      'image_text': 'Sort',
+    },
+    'Tid Scan': {
+      'image': 'ex_tid_scan.svg',
+      'image_text': 'Tid Scan',
+    },
+    'Unique': {
+      'image': 'ex_unique.svg',
+      'image_text': 'Unique',
+    },
+    'Values Scan': {
+      'image': 'ex_values_scan.svg',
+      'image_text': 'Values Scan',
+    },
+    'WindowAgg': {
+      'image': 'ex_window_aggregate.svg',
+      'image_text': 'Window Aggregate',
     },
-    "Bitmap Heap Scan" : function(data) {
-  return {"image":"ex_bmp_heap.svg","image_text":data['Relation Name']};
-},
-"BitmapAnd" : {"image":"ex_bmp_and.svg","image_text":"Bitmap AND"},
-"BitmapOr" : {"image":"ex_bmp_or.svg","image_text":"Bitmap OR"},
-"CTE Scan" : {"image":"ex_cte_scan.svg","image_text":"CTE Scan"},
-"Function Scan" : {"image":"ex_result.svg","image_text":"Function Scan"},
-"Foreign Scan" : {"image":"ex_foreign_scan.svg","image_text":"Foreign Scan"},
-"Gather" : {"image":"ex_gather_motion.svg","image_text":"Gather"},
-"Group" : {"image":"ex_group.svg","image_text":"Group"},
-"GroupAggregate": {"image":"ex_aggregate.svg","image_text":"Group Aggregate"},
-"Hash" : {"image":"ex_hash.svg","image_text":"Hash"},
-"Hash Join": function(data) {
-  if (!data['Join Type']) return {"image":"ex_join.svg","image_text":"Join"};
-  switch(data['Join Type']) {
-    case 'Anti': return {"image":"ex_hash_anti_join.svg","image_text":"Hash Anti Join"};
-    case 'Semi': return {"image":"ex_hash_semi_join.svg","image_text":"Hash Semi Join"};
-    default: return {"image":"ex_hash.svg","image_text":String("Hash " + data['Join Type'] + " Join" )};
-  }
-},
-"HashAggregate" : {"image":"ex_aggregate.svg","image_text":"Hash Aggregate"},
-"Index Only Scan" : function(data) {
-  return {"image":"ex_index_only_scan.svg","image_text":data['Index Name']};
-},
-"Index Scan" : function(data) {
-  return {"image":"ex_index_scan.svg","image_text":data['Index Name']};
-},
-"Index Scan Backword" : {"image":"ex_index_scan.svg","image_text":"Index Backward Scan"},
-"Limit" : {"image":"ex_limit.svg","image_text":"Limit"},
-"LockRows" : {"image":"ex_lock_rows.svg","image_text":"Lock Rows"},
-"Materialize" : {"image":"ex_materialize.svg","image_text":"Materialize"},
-"Merge Append": {"image":"ex_merge_append.svg","image_text":"Merge Append"},
-"Merge Join": function(data) {
-  switch(data['Join Type']) {
-    case 'Anti': return {"image":"ex_merge_anti_join.svg","image_text":"Merge Anti Join"};
-    case 'Semi': return {"image":"ex_merge_semi_join.svg","image_text":"Merge Semi Join"};
-    default: return {"image":"ex_merge.svg","image_text":String("Merge " + data['Join Type'] + " Join" )};
-  }
-},
-"ModifyTable" : function(data) {
-  switch (data['Operation']) {
-    case "Insert": return { "image":"ex_insert.svg",
-                            "image_text":"Insert"
-                           };
-    case "Update": return {"image":"ex_update.svg","image_text":"Update"};
-    case "Delete": return {"image":"ex_delete.svg","image_text":"Delete"};
-  }
-},
-'Nested Loop' : function(data) {
-  switch(data['Join Type']) {
-    case 'Anti': return {"image":"ex_nested_loop_anti_join.svg","image_text":"Nested Loop Anti Join"};
-    case 'Semi': return {"image":"ex_nested_loop_semi_join.svg","image_text":"Nested Loop Semi Join"};
-    default: return {"image":"ex_nested.svg","image_text":"Nested Loop " + data['Join Type'] + " Join"};
-  }
-},
-"Recursive Union" : {"image":"ex_recursive_union.svg","image_text":"Recursive Union"},
-"Result" : {"image":"ex_result.svg","image_text":"Result"},
-"Sample Scan" : {"image":"ex_scan.svg","image_text":"Sample Scan"},
-"Scan" : {"image":"ex_scan.svg","image_text":"Scan"},
-"Seek" : {"image":"ex_seek.svg","image_text":"Seek"},
-"SetOp" : function(data) {
-  var strategy = data['Strategy'],
-      command = data['Command'];
-
-  if(strategy == "Hashed") {
-    if(S.startsWith(command, "Intersect")) {
-      if(command == "Intersect All")
-        return {"image":"ex_hash_setop_intersect_all.svg","image_text":"Hashed Intersect All"};
-      return {"image":"ex_hash_setop_intersect.svg","image_text":"Hashed Intersect"};
-    }
-    else if (S.startsWith(command, "Except")) {
-      if(command == "Except All")
-        return {"image":"ex_hash_setop_except_all.svg","image_text":"Hashed Except All"};
-      return {"image":"ex_hash_setop_except.svg","image_text":"Hash Except"};
-    }
-    return {"image":"ex_hash_setop_unknown.svg","image_text":"Hashed SetOp Unknown"};
-  }
-  return {"image":"ex_setop.svg","image_text":"SetOp"};
-},
-"Seq Scan": function(data) {
-  return {"image":"ex_scan.svg","image_text":data['Relation Name']};
-},
-"Subquery Scan" : {"image":"ex_subplan.svg","image_text":"SubQuery Scan"},
-"Sort" : {"image":"ex_sort.svg","image_text":"Sort"},
-"Tid Scan" : {"image":"ex_tid_scan.svg","image_text":"Tid Scan"},
-"Unique" : {"image":"ex_unique.svg","image_text":"Unique"},
-"Values Scan" : {"image":"ex_values_scan.svg","image_text":"Values Scan"},
-"WindowAgg" : {"image":"ex_window_aggregate.svg","image_text":"Window Aggregate"},
-"WorkTable Scan" : {"image":"ex_worktable_scan.svg","image_text":"WorkTable Scan"},
-"Undefined" : {"image":"ex_unknown.svg","image_text":"Undefined"},
-}
-
-// Some predefined constants used to calculate image location and its border
-var pWIDTH =100.;
-var pHEIGHT = 100.;
-var IMAGE_WIDTH =50;
-var IMAGE_HEIGHT = 50;
-var offsetX = 200,
+    'WorkTable Scan': {
+      'image': 'ex_worktable_scan.svg',
+      'image_text': 'WorkTable Scan',
+    },
+    'Undefined': {
+      'image': 'ex_unknown.svg',
+      'image_text': 'Undefined',
+    },
+  };
+
+  // Some predefined constants used to calculate image location and its border
+  var pWIDTH = 100.;
+  var pHEIGHT = 100.;
+  var IMAGE_WIDTH = 50;
+  var IMAGE_HEIGHT = 50;
+  var offsetX = 200,
     offsetY = 60;
-var ARROW_WIDTH = 10,
+  var ARROW_WIDTH = 10,
     ARROW_HEIGHT = 10,
     DEFAULT_ARROW_SIZE = 2;
-var TXT_ALIGN = 5,
-    TXT_SIZE = "15px";
-var TOTAL_WIDTH = undefined,
-    TOTAL_HEIGHT = undefined;
-var xMargin = 25,
+  var TXT_ALIGN = 5,
+    TXT_SIZE = '15px';
+  var xMargin = 25,
     yMargin = 25;
-var MIN_ZOOM_FACTOR = 0.01,
+  var MIN_ZOOM_FACTOR = 0.01,
     MAX_ZOOM_FACTOR = 2,
     INIT_ZOOM_FACTOR = 1;
-var ZOOM_RATIO = 0.05;
+  var ZOOM_RATIO = 0.05;
 
 
-// Backbone model for each plan property of input JSON object
-var PlanModel = Backbone.Model.extend({
+  // Backbone model for each plan property of input JSON object
+  var PlanModel = Backbone.Model.extend({
     defaults: {
-        "Plans": [],
-        level: [],
-        "image": undefined,
-        "image_text": undefined,
-        xpos: undefined,
-        ypos: undefined,
-        width: pWIDTH,
-        height: pHEIGHT
+      'Plans': [],
+      level: [],
+      'image': undefined,
+      'image_text': undefined,
+      xpos: undefined,
+      ypos: undefined,
+      width: pWIDTH,
+      height: pHEIGHT,
     },
     parse: function(data) {
-        var idx = 1,
-            lvl = data.level = data.level || [idx],
-            plans = [],
-            node_type = data['Node Type'],
-            // Calculating relative xpos of current node from top node
-            xpos = data.xpos = data.xpos - pWIDTH,
-            // Calculating relative ypos of current node from top node
-            ypos = data.ypos,
-            maxChildWidth = 0;
-
-        data['width'] = pWIDTH;
-        data['height'] = pHEIGHT;
-
-        /*
-         * calculating xpos, ypos, width and height if current node is a subplan
-         */
-        if (data['Parent Relationship'] === "SubPlan") {
-            data['width'] += (xMargin * 2) + (xMargin / 2);
-            data['height'] += (yMargin * 2);
-            data['ypos'] += yMargin;
-            xpos -= xMargin;
-            ypos += yMargin;
-        }
+      var idx = 1,
+        lvl = data.level = data.level || [idx],
+        plans = [],
+        node_type = data['Node Type'],
+        // Calculating relative xpos of current node from top node
+        xpos = data.xpos = data.xpos - pWIDTH,
+        // Calculating relative ypos of current node from top node
+        ypos = data.ypos,
+        maxChildWidth = 0;
+
+      data['width'] = pWIDTH;
+      data['height'] = pHEIGHT;
+
+      /*
+       * calculating xpos, ypos, width and height if current node is a subplan
+       */
+      if (data['Parent Relationship'] === 'SubPlan') {
+        data['width'] += (xMargin * 2) + (xMargin / 2);
+        data['height'] += (yMargin * 2);
+        data['ypos'] += yMargin;
+        xpos -= xMargin;
+        ypos += yMargin;
+      }
 
-        if(S.startsWith(node_type, "(slice"))
-            node_type = node_type.substring(0,7);
+      if (S.startsWith(node_type, '(slice'))
+        node_type = node_type.substring(0, 7);
 
-        // Get the image information for current node
-        var mappedImage = (_.isFunction(imageMapper[node_type]) &&
-                imageMapper[node_type].apply(undefined, [data])) ||
-                imageMapper[node_type] || {
-                  "image": "ex_unknown.svg", "image_text": node_type
-                };
+      // Get the image information for current node
+      var mappedImage = (_.isFunction(imageMapper[node_type]) &&
+          imageMapper[node_type].apply(undefined, [data])) ||
+        imageMapper[node_type] || {
+          'image': 'ex_unknown.svg',
+          'image_text': node_type,
+        };
 
-        data["image"] = mappedImage["image"];
-        data["image_text"] = mappedImage["image_text"];
+      data['image'] = mappedImage['image'];
+      data['image_text'] = mappedImage['image_text'];
 
-        // Start calculating xpos, ypos, width and height for child plans if any
-        if ('Plans' in data) {
+      // Start calculating xpos, ypos, width and height for child plans if any
+      if ('Plans' in data) {
 
-            data['width'] += offsetX;
+        data['width'] += offsetX;
 
-            _.each(data['Plans'], function(p) {
-                var level = _.clone(lvl),
-                    plan = new PlanModel();
+        _.each(data['Plans'], function(p) {
+          var level = _.clone(lvl),
+            plan = new PlanModel();
 
-                level.push(idx);
-                plan.set(plan.parse(_.extend(
-                    p, {
-                        "level": level,
-                        xpos: xpos - offsetX,
-                        ypos: ypos
-                    })));
+          level.push(idx);
+          plan.set(plan.parse(_.extend(
+            p, {
+              'level': level,
+              xpos: xpos - offsetX,
+              ypos: ypos,
+            })));
 
-                if (maxChildWidth < plan.get('width')) {
-                    maxChildWidth = plan.get('width');
-                }
+          if (maxChildWidth < plan.get('width')) {
+            maxChildWidth = plan.get('width');
+          }
 
-                var childHeight = plan.get('height');
+          var childHeight = plan.get('height');
 
-                if (idx !== 1) {
-                    data['height'] = data['height'] + childHeight + offsetY;
-                } else if (childHeight > data['height']) {
-                    data['height'] = childHeight;
-                }
-                ypos += childHeight + offsetY;
+          if (idx !== 1) {
+            data['height'] = data['height'] + childHeight + offsetY;
+          } else if (childHeight > data['height']) {
+            data['height'] = childHeight;
+          }
+          ypos += childHeight + offsetY;
 
-                plans.push(plan);
-                idx++;
-            });
-        }
+          plans.push(plan);
+          idx++;
+        });
+      }
 
-        // Final Width and Height of current node
-        data['width'] += maxChildWidth;
-        data['Plans'] = plans;
+      // Final Width and Height of current node
+      data['width'] += maxChildWidth;
+      data['Plans'] = plans;
 
-        return data;
+      return data;
     },
 
     /*
@@ -319,13 +482,13 @@ var PlanModel = Backbone.Model.extend({
       var res = Backbone.Model.prototype.toJSON.apply(this, arguments);
 
       if (non_recursive) {
-            delete res['Plans'];
+        delete res['Plans'];
       } else {
-            var plans = [];
-            _.each(res['Plans'], function(p) {
-              plans.push(p.toJSON());
-            });
-            res['Plans'] = plans;
+        var plans = [];
+        _.each(res['Plans'], function(p) {
+          plans.push(p.toJSON());
+        });
+        res['Plans'] = plans;
       }
       return res;
     },
